{{page-title @model.name " | " (capitalize (t "edit-label"))}}

{{#if this.fastboot.isFastBoot}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::EditManager as |editManager|>
      <Manage::SideBar class="order-last flex-shrink-1">
        <div class="bar-group fs-6 pt-1 pb-1">{{t "visibility"}}</div>

        <Manage::Toggle @title={{t "is public"}} @id="toggle-is-public" @disabled={{this.fastboot.isFastBoot}}
          @value={{@model.isPublic}} @onSave={{this.saveIsPublic}} @savingField={{this.savingField}} />

        {{#if this.user.isAdmin}}
          <Manage::Toggle @title={{t "allow custom data bindings"}} @id="allow-custom-data-bindings"
            @disabled={{this.fastboot.isFastBoot}} @value={{@model.allowCustomDataBindings}}
            @onSave={{this.saveAllowCustomDataBindings}} @savingField={{this.savingField}} />

          <Manage::Toggle @title={{t "can send newsletters"}} @id="allow-newsletters"
            @disabled={{this.fastboot.isFastBoot}} @value={{@model.allowNewsletters}}
            @onSave={{this.saveAllowNewsletters}} @savingField={{this.savingField}} />

          <Manage::Toggle @title={{t "can create events"}} @id="allow-events" @disabled={{this.fastboot.isFastBoot}}
            @value={{@model.allowEvents}} @onSave={{this.saveAllowEvents}} @savingField={{this.savingField}} />

          <Manage::Toggle @title={{t "can view reports"}} @id="allow-reports" @disabled={{this.fastboot.isFastBoot}}
            @value={{@model.allowReports}} @onSave={{this.saveAllowReports}} @savingField={{this.savingField}} />
        {{else}}
          <Manage::SideBarGroup @title={{t "allow custom data bindings"}} @canEdit={{false}}
            class="allow-custom-data-bindings">
            {{#if @model.allowCustomDataBindings}}
              {{t "yes"}}
            {{else}}
              {{t "no"}}
            {{/if}}
          </Manage::SideBarGroup>

          <Manage::SideBarGroup @title={{t "can send newsletters"}} @canEdit={{false}} class="can-send-newsletters">
            {{#if @model.allowNewsletters}}
              {{t "yes"}}
            {{else}}
              {{t "no"}}
            {{/if}}
          </Manage::SideBarGroup>

          <Manage::SideBarGroup @title={{t "can create events"}} @canEdit={{false}} class="can-create-events">
            {{#if @model.allowEvents}}
              {{t "yes"}}
            {{else}}
              {{t "no"}}
            {{/if}}
          </Manage::SideBarGroup>

          <Manage::SideBarGroup @title={{t "can view reports"}} @canEdit={{false}} class="can-view-reports">
            {{#if @model.allowReports}}
              {{t "yes"}}
            {{else}}
              {{t "no"}}
            {{/if}}
          </Manage::SideBarGroup>
        {{/if}}
      </Manage::SideBar>

      <Manage::Container @title={{capitalize (t "edit team")}} @breadcrumbs={{this.breadcrumbs}}>
        <:content>
          <Manage::Row @name="article">
            <Manage::Article @title={{t "name and description"}} @editablePanel={{editManager.editableField}}
              @value={{@model.contentBlocks}} @onSave={{this.saveArticle}} @onCancel={{editManager.cancel}}
              @onEdit={{editManager.edit}} @onPictureUpload={{this.onPictureUpload}} />
          </Manage::Row>

          <Manage::Row @name="logo">
            <Manage::Cover @title={{t "logo"}} @model="Team" @modelId={{@model.id}}
              @editablePanel={{editManager.editableField}} @onSave={{this.saveLogo}} @onEdit={{editManager.edit}}
              @onCancel={{editManager.cancel}} @value={{@model.logo}} />
          </Manage::Row>

          <Manage::Row @name="gallery">
            <Manage::PhotoGallery @title={{t "gallery"}} @editablePanel={{editManager.editableField}}
              @value={{@model.pictures}} @onSave={{this.updatePictures}} @onCancel={{editManager.cancel}}
              @onEdit={{editManager.edit}} @model="Team" @modelId={{@model.id}} />
          </Manage::Row>

          <Manage::Row @name="social-media">
            <Manage::SocialMedia @title={{t "social media"}} @editablePanel={{editManager.editableField}}
              @onSave={{fn this.saveField "socialMediaLinks"}} @onCancel={{editManager.cancel}}
              @onEdit={{editManager.edit}} @value={{@model.socialMediaLinks}} />
          </Manage::Row>

          <Manage::Row @name="contact-email">
            <Manage::Text @title={{t "contact email"}} @value={{@model.contactEmail}}
              @editablePanel={{editManager.editableField}} @onSave={{fn this.saveField "contactEmail"}}
              @emptyError={{t "manage-section.contact-email-missing"}} @isMainValue={{true}}
              @onEdit={{editManager.edit}} @onCancel={{editManager.cancel}} @type="email" />
          </Manage::Row>

          <Manage::Row @name="categories">
            <Manage::StringList @title={{t "categories"}} @list={{@model.categories}}
              @editablePanel={{editManager.editableField}} @onSave={{fn this.saveField "categories"}}
              @help={{t "manage-section.team-categories-help"}} @onCancel={{editManager.cancel}}
              @onEdit={{editManager.edit}} />
          </Manage::Row>

          <Manage::Row @name="members" class="mb-5" {{did-insert this.setupMembers}}>
            <Manage::FieldContainer @title={{t "members"}} @isDisabled={{true}}>
              <:view>
                <Manage::MemberTable class="mt-2" @members={{this.members}} @requestProfile={{this.requestProfile}}
                  @updateRole={{this.updateRole}} @onRemove={{this.remove}} />

                {{#if @model.invitations}}
                  <h3 class="panel-title mt-3">{{t "pending invitations"}}</h3>

                  <Manage::MemberPendingTable class="mt-3" @members={{@model.invitations}} @onRemove={{this.removePendingMember}} />
                {{/if}}

                <hr />
                <h3 class="panel-title">{{capitalize (t "invite more users")}}</h3>
                <Input::TextEmailList @onChange={{this.changeEmailList}} class="input-email-list mt-3" />

                <Input::Select @list={{this.roleList}} @value={{this.selectedRole}}
                  @onChange={{this.updateSelectedRole}} class="input-role mt-3" />

                <Input::Button class="btn btn-primary btn-invite mt-3" onClick={{this.inviteUsers}}>
                  {{t "send invitation"}}
                </Input::Button>
              </:view>
            </Manage::FieldContainer>
          </Manage::Row>
        </:content>
      </Manage::Container>
    </Manage::EditManager>
  </div>
{{/if}}